import request from '@/utils/request'

// 查询疫苗信息列表
export function listInfo(query) {
  return request({
    url: '/boman-web-core/core/info/list',
    method: 'get',
    params: query
  })
}

// 查询疫苗信息详细
export function getInfo(id) {
  return request({
    url: '/boman-web-core/core/info/' + id,
    method: 'get'
  })
}

// 查询角色列表
export function listRoleer(data) {
  return request({
    url: '/boman-web-core/administrativeInfo/treeSelect',
    method: 'get',
    // data
  })
}

// 新增疫苗信息
export function addInfo(data) {
  return request({
    url: '/boman-web-core/core/info',
    method: 'post',
    data: data
  })
}

// 修改疫苗信息
export function updateInfo(data) {
  return request({
    url: '/boman-web-core/core/info',
    method: 'put',
    data: data
  })
}

// 删除疫苗信息
export function delInfo(id) {
  return request({
    url: '/boman-web-core/core/info/' + id,
    method: 'delete'
  })
}

// 导出疫苗信息
export function exportInfo(query) {
  return request({
    url: '/boman-web-core/core/info/export',
    method: 'post',
    data: query
  })
}

// 查询身份证信息
export function idces(query) {
  return request({
    url: '/boman-web-core/core/info/findHjInfo',
    method: 'post',
    data: query
  })
}

// 删除疫苗名称信息
export function delInfort(id) {
  return request({
    url: '/boman-web-core/core/info/vaccineInfoUser/' + id,
    method: 'get'
  })
}

// 列表查看疫苗信息
export function yiaoe(query) {
  return request({
    url: '/boman-web-core/core/info/findInfoUser',
    method: 'post',
	data: query
  })
}
